Bug 1049 - _xdg_mime_magic_read_from_file
Summary: _xdg_mime_magic_read_from_file
Status: RESOLVED FIXED
Alias: None
Product: xdgmime
Classification: Unclassified
Component: xdgmime (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-11 16:29 UTC by Matthias Clasen
Modified: 2004-12-07 14:58 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Matthias Clasen 2004-08-11 16:29:28 UTC
Reported by gmorten against gtk
http://bugzilla.gnome.org/show_bug.cgi?id=149189

xdg_mime_magic_read_from_file needs to check the return value from fread.
Otherwise the memcmp will access memory it should not.


This file has a ton of these too:

xdgmimemagic.c:171: warning: implicit declaration of function `getc_unlocked'
Comment 1 Marco Pesenti Gritti 2004-12-08 09:58:04 UTC
Fixed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.